/*                                           -*- mode: c; c-basic-offset: 2 -*-
 *
 * This is kiba, a fun GNOME dock
 */

#ifndef __KIBA_EVENTS_H__
#define __KIBA_EVENTS_H__

gboolean kiba_expose_event         (GtkWidget        *widget,
                                    GdkEventExpose   *event);
gboolean kiba_scroll_event         (GtkWidget	       *widget,
                                    GdkEventScroll   *event);
gboolean kiba_button_press_event   (GtkWidget	       *widget,
                                    GdkEventButton   *event);
gboolean kiba_button_release_event (GtkWidget        *widget,
                                    GdkEventButton   *event);
gboolean kiba_motion_notify_event  (GtkWidget        *widget,
                                    GdkEventMotion   *event);
void kiba_drag_motion              (GtkWidget        *widget,
                                    GdkDragContext   *drag_context,
                                    gint              x,
                                    gint              y,
                                    guint             time,
                                    gpointer          user_data);
void kiba_drag_leave               (GtkWidget        *widget,
                                    GdkDragContext   *drag_context,
                                    guint             time,
                                    gpointer          user_data);
void kiba_drag_data_received       (GtkWidget        *widget,
                                    GdkDragContext   *drag_context,
                                    gint              x,
                                    gint              y,
                                    GtkSelectionData *selection_data,
                                    guint             info,
                                    guint             time);
gboolean kiba_enter_notify_event   (GtkWidget        *widget,
                                    GdkEventCrossing *event);
gboolean kiba_leave_notify_event   (GtkWidget        *widget,
                                    GdkEventCrossing *event);

#endif
