/*                                           -*- mode: c; c-basic-offset: 2 -*-
 *
 * This is kiba, a fun GNOME dock
 */

#ifndef __KIBA_GEOMETRY_H__
#define __KIBA_GEOMETRY_H__

void kiba_show                     (GtkWidget *widget);
void kiba_map                      (GtkWidget *widget);
gint kiba_hide                     (gpointer data);
gint kiba_unhide                   (gpointer data);
void kiba_check_hide               (KibaDock *dock,
                                    int mouse_x,
                                    int mouse_y,
                                    gboolean fast_motion,
                                    gboolean object_size_modified);
void kiba_correct_placement        (KibaDock *dock);
void kiba_layout                   (KibaDock *dock);
void kiba_animate_position_changes (KibaDock *dock);
void kiba_set_position             (KibaDock *dock,
                                    KibaDockPosition position);
int  kiba_find_closest_position    (KibaDock *dock,
                                    int x,
                                    int y);
void set_position_from_string      (KibaDock *dock,
                                    const char *string);
gint text_animate_callback         (gpointer data);
gint text_timeout                  (gpointer data);
void kiba_modify_bg_offset         (KibaDock *dock,
                                    int mouse_x,
                                    int mouse_y);

#endif
